{% load i18n rhl_settings %}

{% if form.non_field_errors %}
    <div aria-description="Erreurs non liée aux champs">
        {{ form.non_field_errors }}
    </div>
{% endif %}

{% for field in form.visible_fields %}
    <div class="mb-3" aria-label="Champ de formulaire">

        {% if field.field.widget.format_key == "DATETIME_INPUT_FORMATS" %}
            {% get_setting "DATETIME_PREFERED_FORMAT" as date_time_format %}
        {% elif field.field.widget.format_key == "DATE_INPUT_FORMATS" %}
            {% get_setting "DATE_PREFERED_FORMAT" as date_time_format %}
        {% endif %}
        
        {% if field.field.required %}
            <label for="{{ field.id_for_label }}" class="form-label">
                {{ field.label }}{% if date_time_format %} ({{ date_time_format }}){% endif %} <abbr class="req" title="Requis">*</abbr>
            </label>
        {% else %}
            <label for="{{ field.id_for_label }}" class="form-label">
                {{ field.label }}{% if date_time_format %} ({{ date_time_format }}){% endif %} 
            </label>
        {% endif %}



        {% if field.errors %}

            <div class="error_field" aria-invalid="true" aria-describedBy="err_{{ field.id_for_label }}">
                {{ field }}
            </div>
            
            {% if field.help_text %}
                <small class="form-text text-muted" aria-description="Texte d'aide pour le champ">
                    {{ field.help_text }}
                </small>
            {% endif %}

            <div id="err_{{ field.id_for_label }}" role="alertdialog" aria-label="Erreur(s) du champ">
                {{ field.errors }}
            </div>

        {% else %}
            
            {% if field.help_text %}

                <div aria-describedBy="int_{{ field.id_for_label }}">
                    {{ field }}
                </div>
                
                <small id="int_{{ field.id_for_label }}" class="form-text text-muted" aria-description="Texte d'aide pour le champ">
                    {{ field.help_text }}
                </small>

            {% else %}
                
                {{ field }}
                
            {% endif %}
            
        {% endif %}
        
        {% if forloop.last %}
            {% for field in form.hidden_fields %}
                {{ field }}
            {% endfor %}
        {% endif %}
        
    </div>
{% endfor %}

